Subject: bug#25842: 25.1; Mouse stops working after using Logitech mouse's minimize button

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Jul 2021 21:42:42 +0300

> From: Robert Ross <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>
> Date: Tue, 6 Jul 2021 17:36:10 +0000
> 
> I installed the mingw-w64 version of gdb (8.1). I've been poking around looking around for how to capture mouse events but I'm not seeing anything obvious. Is this an easy thing to capture, or will it take some expertise? 

Look in w32term.c, where it processes these messages:

	case WM_LBUTTONDOWN:
	case WM_LBUTTONUP:
	case WM_MBUTTONDOWN:
	case WM_MBUTTONUP:
	case WM_RBUTTONDOWN:
	case WM_RBUTTONUP:
	case WM_XBUTTONDOWN:
	case WM_XBUTTONUP:
	case WM_MOUSEMOVE:
	case WM_MOUSEWHEEL:
        case WM_MOUSEHWHEEL:

That's where the processing of mouse events starts in Emacs.